Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Interface TreeListener

All Known Implementing Classes:
  TreeAdapter

public interface TreeListener

Classes which implement this interface provide methods that deal with the expanding and collapsing of tree branches.

After creating an instance of a class that implements this interface it can be added to a tree control using the `addTreeListener` method and removed using the `removeTreeListener` method. When a branch of the tree is expanded or collapsed, the appropriate method will be invoked.

See Also:
  `TreeAdapter`, `TreeEvent`

Method Summary
`void` `treeCollapsed(TreeEvent e)` Sent when a tree branch is collapsed.
`void` `treeExpanded(TreeEvent e)` Sent when a tree branch is expanded.

Method Detail

### treeCollapsed

    public void treeCollapsed(TreeEvent e)

  Sent when a tree branch is collapsed.

  Parameters:
    `e` - an event containing information about the tree operation

### treeExpanded

    public void treeExpanded(TreeEvent e)

  Sent when a tree branch is expanded.

  Parameters:
    `e` - an event containing information about the tree operation

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.